# fileSystem Struct Reference

filesSystem Structure More...

`#include <vfs.h>`

Collaboration diagram for fileSystem:

[legend]

## Data Fields

fileSystem * | next
fileSystem * | prev
int(* | vfsInitFS )(void *)
int(* | vfsMakeDir )(char *, void *)
int(* | vfsOpenFile )(void *, void *)
int(* | vfsRead )(void *, char *, long, long)
int(* | vfsRemDir )(char *)
int(* | vfsSync )(void)
int | vfsType
int(* | vfsUnlink )(char *, void *)
int(* | vfsWrite )(void *, char *, long, long)

## Detailed Description

filesSystem Structure

not sure if we should allow function to point to NULL

Definition at line 56 of file vfs.h.

## Field Documentation

struct fileSystem* fileSystem::next

Definition at line 58 of file vfs.h.

Referenced by vfsFindFS(), and vfsRegisterFS().

struct fileSystem* fileSystem::prev

Definition at line 57 of file vfs.h.

Referenced by vfsRegisterFS().

int(* fileSystem::vfsInitFS)(void *)

pointer to inialization routine

Referenced by vfs_mount().

int(* fileSystem::vfsMakeDir)(char *, void *)

pointer to makedir routine

Referenced by sysMkDir().

int(* fileSystem::vfsOpenFile)(void *, void *)

pointer to openfile routine

Referenced by fopen().

int(* fileSystem::vfsRead)(void *, char *, long, long)

pointer to read routine

Referenced by fgetc(), and fread().

int(* fileSystem::vfsRemDir)(char *)

pointer to remdir routine

int(* fileSystem::vfsSync)(void)

pointer to sync routine

int fileSystem::vfsType

vfs type id

Definition at line 67 of file vfs.h.

Referenced by vfsFindFS(), and vfsRegisterFS().

int(* fileSystem::vfsUnlink)(char *, void *)

pointer to unlink routine

Referenced by unlink().

int(* fileSystem::vfsWrite)(void *, char *, long, long)

pointer to write routine

Referenced by fputc(), and fwrite().

The documentation for this struct was generated from the following file:

- src/sys/include/vfs/vfs.h